Package org.apache.sling.jackrabbit.usermanager

# Interface DeleteAuthorizables

All Known Implementing Classes:
  `DeleteAuthorizableServlet`

public interface DeleteAuthorizables
The `DeleteAuthorizables` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

Since:
  2.2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteAuthorizables(javax.jcr.Session jcrSession, org.apache.sling.api.resource.Resource baseResource, String[] paths, List<org.apache.sling.servlets.post.Modification> changes)`
Deletes one or more users or groups from the repository

## Method Details

### deleteAuthorizables

void deleteAuthorizables(javax.jcr.Session jcrSession, org.apache.sling.api.resource.Resource baseResource, String[] paths, List<org.apache.sling.servlets.post.Modification> changes) throws javax.jcr.RepositoryException
Deletes one or more users or groups from the repository

Parameters:
  `jcrSession` - the JCR session of the user creating the user
  `baseResource` - the base resource to calculate the relative paths from (required)
  `paths` - An array of relative resource paths to Authorizables to be deleted (required)
  `changes` - The list of changes for this operation (optional)
Throws:
  `javax.jcr.RepositoryException` - if authorizable (user or group) can't be deleted